package net.phatcode.rel;

public class TurretRotateBehaviorOscillate extends TurretBehavior
{

	@Override
	public void update( Turret turret )
	{
		turret.angle += turret.angleDelta * turret.angleDirection;
		
		if( turret.angle > turret.maxAngle )         
			turret.angleDirection = -turret.angleDirection;         
		if( turret.angle < turret.minAngle )         
			turret.angleDirection = -turret.angleDirection;
		
	}


}
